%define	name	horde
%define	version	2.2.4
%define	release	2mdk
%define order	71
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}
%define build_safemode	0
%{expand: %{?_without_safemode:        %%define build_safemode 0}}
%{expand: %{?_with_safemode:           %%define build_safemode 1}}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The common Horde Framework for all Horde modules.
License:	GPL
Group:		System/Servers
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-apache.conf.bz2
Source2:	%{name}-mdk-safemode.conf.bz2
Patch0:		%{name}-2.2.3-config-%{name}.patch.bz2
Patch2:		%{name}-2.2.1-translation.patch.bz2
Patch3:		%{name}-2.2.3-safemode.patch.bz2
URL:		http://www.horde.org/
Requires:	mod_php >= 4.3.0
Requires:	php-common >= 430
Requires:	php-xml >= 4.3.0
Requires:	php-domxml >= 4.3.0
Requires:	php-pear >= 4.3.0
Requires:	php-pear-Log >= 4.3.0
Requires:	php-pear-Mail_Mime >= 4.3.0
Requires:	php-pear-Net_Socket >= 4.3.0
Requires:	apache >= 1.3.22
Provides:	ADVXpackage
Provides:	horde2
Obsoletes:	horde2
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The Horde Framework provides a common structure and interface for Horde
applications (such as IMP, a web-based mail program).  This RPM is required
for all other Horde module RPMS.

The Horde Project writes web applications in PHP and releases them under
the GNU Public License.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

%prep
%setup -q
%patch0 -p1
# Fix so that auto requires do not pickup /usr/bin/php as a requirement.
%patch2 -p1
# Patch for using with safe_mode enabled
%if %build_safemode
%patch3 -p1
    %endif

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
%if %build_safemode
    %ADVXinstconf %{SOURCE2} %{order}_%{name}.conf
%else
    %ADVXinstconf %{SOURCE1} %{order}_%{name}.conf
%endif

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
cp -pR scripts/* $RPM_BUILD_ROOT%{_datadir}/%{name}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}/COPYING
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}/README
rm -rf  $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}/docs
rm -rf  $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}/scripts
rm -rf  $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}/po

# remove .htaccess files
find $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name} -name .htaccess -exec rm -f {} \;

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}/config/*.dist; do
	mv $file ${file%.dist}
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README COPYING docs 
# Apache configuration file
%config(noreplace) %{ap_confd}/%{order}_%{name}.conf
# scripts
%{_datadir}/%{name}
# top level dir and files
%dir %{ap_htdocsdir}/%{name}
%{ap_htdocsdir}/%{name}/*.php
# standard dirs
%{ap_htdocsdir}/%{name}/graphics
%{ap_htdocsdir}/%{name}/lib
%{ap_htdocsdir}/%{name}/templates
%{ap_htdocsdir}/%{name}/util
%{ap_htdocsdir}/%{name}/locale
# config files
%dir %{ap_htdocsdir}/%{name}/config
%config(noreplace) %{ap_htdocsdir}/%{name}/config/*.php

%changelog
* Sat Dec 20 2003 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.4-2mdk
- untagged localisation files
- no more .htaccess files, use %{ap_confd}/%{order}_%{name}.conf instead
- scripts now in  %{_datadir}/{name}
- passwd module externalized in its own package

* Sun Sep 14 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.2.4-1mdk
- 2.2.4

* Tue Sep 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.2.3-3mdk
- changed name to horde, old version doesn't exist anymore
- standard perms and ownership for config files, access is already denied

* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.2.3-2mdk
- spec cleanup
- remove useless files from webroot (.dist, doc files, .po)
- properly tag localisation files
- drop apache1 integration
- remove implicit dependencies

* Fri Jun 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.3-1mdk
- Release 2.2.3.
- Readapted Patch0.
- Updated Passwd to 2.2.
- Added "safe_mode Off" and "session.bug_compat_42 Off" for PHP, to
  horde-mdk.conf.
- Modified Patch0 to get logs to syslog facilities.

* Sun Feb 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.1-2mdk
- new macros from ADVX-build

* Sun Feb 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.1-1mdk
- New version, required by PHP 4.3.0
- fix post scripts
- fix config file
- add Errordocument 404 directives so users know they have to install turba
  and imp3.

* Wed Jun 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1-1mdk
- updated by David Walser <luigiwalser@yahoo.com> :
	- 2.1 final

* Sat Mar 18 2002 David Walser <luigiwalser@yahoo.com> 2.1-0.1mdk
- Regenerate patches
- Remove admin directory from files (no longer exists)

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-4mdk
- fixed php /usr/share/php -> /usr/lib/php according to php-devel
  path.

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-3mdk
- renamed to horde2, so to maintain version 1.2.X.

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-2mdk
- changed some config file with predefined values.
- added ppphp-xml to Requires.
- included passwd module.

* Sun Mar 10 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-1mdk
- 2.0.

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 2.0 release 1

* Wed Sep 12 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.6-3mdk
- replaced pg_connect with pg_pconnect in db.pgsql, to avoid the
  warning "...is not a valid PostgreSQL link resource".

* Tue Sep 11 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.6-2mdk
- added php-pgsql to horde-pgsql Requires.

* Tue Sep 04 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.6-1mdk
- updated to release 1.2.6.

* Wed Aug 29 2001 Philippe Libat <philippe@mandrakesoft.com> 1.2.4-3mdk
- fix httpd.conf entry

* Mon Feb 26 2001 Giuseppe Ghibo' <ghibo@mandrakesoft.com> 1.2.4-2mdk
- add mod_php to Requires.

* Sat Feb 24 2001 Giuseppe Ghibo' <ghibo@mandrakesoft.com> 1.2.4-1mdk
- initial mandrake release.

* Tue Feb 06 2001 Brent J. Nordquist <bjn@horde.org>
- 1.2.4 release 1rh7
